Bug 425802 - UnicodeEncodeError: 'latin-1' codec can't encode character...
Summary: UnicodeEncodeError: 'latin-1' codec can't encode character...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: 8
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: James Antill
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-16 00:36 UTC by Rafal Slusarz
Modified: 2009-01-09 05:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 05:31:05 UTC


Attachments (Terms of Use)
bug report generated automatically (989 bytes, text/plain)
2007-12-16 00:39 UTC, Rafal Slusarz
no flags Details

Description Rafal Slusarz 2007-12-16 00:36:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071128 Fedora/2.0.0.10-2.fc8 Firefox/2.0.0.10

Description of problem:
The installer/package updater crashes when I try to do apply install/update anything in desktop with UTF-8 character coding
Unable to use pirut in polish language.
After changing LANGUAGE to en_US the problem does not exist.


Version-Release number of selected component (if applicable):
pirut-1.3.28-1.fc8

How reproducible:
Always


Steps to Reproduce:
1.change GUI language to some UTF8: eg pl_PL
2.run pirut
3.add or remove any package

Actual Results:
pirut crashes, a bug report is created

Expected Results:
install or remove selected package

Additional info:
GDM_LANG=pl_PL
LANGUAGE=pl_PL
(polish environment)

Comment 1 Rafal Slusarz 2007-12-16 00:39:56 UTC
Created attachment 289710 [details]
bug report generated automatically

Comment 2 Bug Zapper 2008-11-26 09:00:59 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-01-09 05:31:05 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.